<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>fwCaenChannelOperation.html</title>
	<meta	http-equiv="Content-Type"
			content="text/html; charset=utf-8">
	<meta	content="Jonas Arroyo Garcia"
			name="author">
</head>
<body>
<p></p>
<table	style="width: 95%;"
		border="1"
		cellpadding="10"
		align="center">
	<tbody>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Panel Name<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<strong><br>fwCaenChannelOperation.pnl<br></strong><br>
			</td>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Introduction<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<br>This panel is used to do the basic operations that can be performed on a CAEN channel.<br><br>
			</td>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Restrictions<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<br>
				This panel works with standard CAEN channels.<br>
				In addition to the standard channels, CAEN calls channels to other type of objects (e.g. power supply to Easy system boards, A1515 board, etc...).<br>
				These other possibilities will be considered in a future version of the panel.
				<br>
				<br>
			</td>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Instructions<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: left;">
				<br>This panel allows to monitor and control CAEN channels.
				<br>
				<br>You could see the panel in the following section: <a href="#Channel-image">Channel panel</a> image.
				<br>
				<br>On top of the panel you have the basic information:
				<ul>
					<li>Channel DP name and channel number.</li>
					<li>Board DP name and position inside of the crate (slot)</li>
					<li>Crate DP name</li>
				</ul>
				<br>The left table represents the requested parameters that can be set for a CAEN channel, and the right table the actual values read from the channel.
				<br>
				<ul>
					<li>Left table: The column "Settting" contains the values sent to the hardware. 
						<br>
						<br>The column "ReadBack" contains the values that are actually stored in the hardware.
							It is possible to ask for a different value by clicking on the column "Setting" and the row of the parameter you want to change. 
							A popup panel will ask you to enter a new value. 
							After the refresh period of the OPC group to which the parameter is assigned, the value in the "ReadBack" column will change, indicating that the hardware has received it.
							If it is not the case, then either the connection to the Power Supply or the Power Supply itself is not working correctly.
						<br>
						<br>Just after opening the panel, if the "Setting" and "ReadBack" columns differ, it could be because somebody else is or was connected to the same channel and requested a different value. 
							In this case you can ask to "Load the settings from the hardware" into the "Setting" column.
					</li>
					<br>
					<li>Right table: The operational values read from the hardware are shown.
						<br>
						<br> All actual values will be presented, and status integer value will be shown as individual bits.
					</li>
				</ul>
				<br>
				<br>With the Commands buttons (On/Off) it is possible to switch On and Off the Channel.
				<br>
				<br>The Action button allows to do the standard Framework Device operations: Mask/Unmask/Acknowledge Alarms, Enable/Disable the channel.
				<br>
				<br>In case your channels have the posiblity of Global On Enable / Disable these commands will be available.
				<br>
				<br>
			</td>
		</tr>
		<tr	valign="top" id="Channel-image">
			<td	style="vertical-align: top;"
				bgcolor="#00cc00">
				<strong><br>Channel panel image<br></strong>
			</td>
			<td	colspan="2"
				width="%78"
				style="vertical-align: top; text-align: center">
				<br>
				<img	src="fwCaenChannelOperation.jpg"
						alt="fwCaenChannelOperation panel screenshot"
						style="width: 715px; height: 588px;">
				</img>
				<br><br>
			</td>
		</tr>
		<tr>
		</tr>
		<tr	valign="top">
			<td	style="vertical-align: top; text-align: center"
				bgcolor="#00cc00"
				colspan="3">
				<strong><br>Dollar Parameters<br></strong><br>
			</td>
		</tr>
		<tr	bgcolor="#00cc00">
			<td	width="23%"
				style="vertical-align: middle; text-align: center;"><strong>Name</strong>
			</td>
			<td	width="62%"
				style="vertical-align: middle; text-align: center;"><strong>Description</strong>
			</td>
			<td	width="15%"
				style="vertical-align: middle; text-align: center;"><strong>Requiered<br>Optional</strong>
			</td>
		</tr>
		<tr>
			<td>$sDpName</td>
			<td>Device datapoint representing the CAEN board.</td>
			<td	style="vertical-align: top; text-align: center;">Requiered</td>
		</tr>
	<tbody>
<table>
<br>
<br>
<table	style="width: 95%;"
		border="1"
		cellpadding="10"
		align="center">
	<tbody>
		<tr>
			<td	colspan="1"
				rowspan="1"
				style="vertical-align: top"
				bgcolor="#00cc00">
				<br><strong>New requests, issues, bugs...</strong><br><br>
			</td>
		</tr>
		<tr>
			<td	colspan="1"
				rowspan="1"
				style="vertical-align: top;">
				<br>
				<p>In case of new requests (new device, new functionality), issues, bugs, etc...</p>
				<p>Please contact:</p>
				<p align="center"><a href="mailto:icecontrols.support@cern.ch?subject=fwCaen%20-%20&body=Dear%20fwCaen%20support,%0D%0A%0D%0A">IceControls.Support@cern.ch</a></p>
				<p>Include in the email subjet: fwCaen + issue tittle.</p>
				<br>
				<p>Thank you</p>
				<br>
			</td>
		</tr>
	</tbody>
</table>
<br>
<br>
<br>
</body>
</html>
